<?xml version="1.0" encoding="utf-8"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
	<channel>
		<atom:link href="https://dev1galaxy.org/extern.php?action=feed&amp;tid=3500&amp;type=rss" rel="self" type="application/rss+xml" />
		<title><![CDATA[Dev1 Galaxy Forum / Mullvad VPN]]></title>
		<link>https://dev1galaxy.org/viewtopic.php?id=3500</link>
		<description><![CDATA[The most recent posts in Mullvad VPN.]]></description>
		<lastBuildDate>Sun, 24 May 2020 15:47:02 +0000</lastBuildDate>
		<generator>FluxBB</generator>
		<item>
			<title><![CDATA[Re: Mullvad VPN]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=22065#p22065</link>
			<description><![CDATA[<p>That is very nice work!<br />I did switch from Mullvad to an other provider just because of that reason.</p><p>There is also an old <a href="https://github.com/mullvad/mullvadvpn-app/issues/452" rel="nofollow">https://github.com/mullvad/mullvadvpn-app/issues/452</a> about this. Though the response from one of the devs there is not really getting any hopes up..</p>]]></description>
			<author><![CDATA[dummy@example.com (climbingturtle)]]></author>
			<pubDate>Sun, 24 May 2020 15:47:02 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=22065#p22065</guid>
		</item>
		<item>
			<title><![CDATA[Mullvad VPN]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=21610#p21610</link>
			<description><![CDATA[<p>Hello comrades, if anyone is interested in using Mullvad VPN GUI client, It seems to work.<br />The client doesn&#039;t come with init script for sysvinit, but I managed to slap together a working one (modified from nginx, feel free to correct any mistakes).<br />Other problem is the path name to daemon containing space. I got aroud it by making a link Mullvad -&gt; Mullvad VPN in /opt.<br />Here is the script:</p><div class="codebox"><pre class="vscroll"><code>#!/bin/sh

### BEGIN INIT INFO
# Provides:	  mullvad
# Required-Start:    $local_fs $remote_fs $network $syslog $named
# Required-Stop:     $local_fs $remote_fs $network $syslog $named
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: starts the mullvad daemon
# Description:       starts mullvad using start-stop-daemon
### END INIT INFO

#PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DAEMON=/opt/Mullvad/resources/mullvad-daemon
#DAEMON=&quot;/opt/Mullvad\ VPN/resources/mullvad-daemon&quot;

NAME=mullvad
DESC=mullvad

# Include mullvad defaults if available
if [ -r /etc/default/mullvad ]; then
	. /etc/default/mullvad
fi

STOP_SCHEDULE=&quot;${STOP_SCHEDULE:-QUIT/5/TERM/5/KILL/5}&quot;

test -x $DAEMON || exit 0

. /lib/init/vars.sh
. /lib/lsb/init-functions

PID=/run/mullvad.pid

start_mullvad() {
	# Start the daemon/service
	#
	# Returns:
	#   0 if daemon has been started
	#   1 if daemon was already running
	#   2 if daemon could not be started
	start-stop-daemon --start --quiet --pidfile $PID --exec $DAEMON --test &gt; /dev/null \
		|| return 1
	start-stop-daemon --start --quiet --pidfile $PID --exec $DAEMON -- \
		$DAEMON_OPTS 2&gt;/dev/null \
		|| return 2
}

stop_mullvad() {
	# Stops the daemon/service
	#
	# Return
	#   0 if daemon has been stopped
	#   1 if daemon was already stopped
	#   2 if daemon could not be stopped
	#   other if a failure occurred
	start-stop-daemon --stop --quiet --retry=$STOP_SCHEDULE --pidfile $PID --name $NAME
	RETVAL=&quot;$?&quot;
	sleep 1
	return &quot;$RETVAL&quot;
}

reload_mullvad() {
	# Function that sends a SIGHUP to the daemon/service
	start-stop-daemon --stop --signal HUP --quiet --pidfile $PID --name $NAME
	return 0
}

case &quot;$1&quot; in
	start)
		log_daemon_msg &quot;Starting $DESC&quot; &quot;$NAME&quot;
		start_mullvad
		case &quot;$?&quot; in
			0|1) log_end_msg 0 ;;
			2)   log_end_msg 1 ;;
		esac
		;;
	stop)
		log_daemon_msg &quot;Stopping $DESC&quot; &quot;$NAME&quot;
		stop_mullvad
		case &quot;$?&quot; in
			0|1) log_end_msg 0 ;;
			2)   log_end_msg 1 ;;
		esac
		;;
	restart)
		log_daemon_msg &quot;Restarting $DESC&quot; &quot;$NAME&quot;

		# Check configuration before stopping mullvad
		if ! test_config; then
			log_end_msg 1 # Configuration error
			exit $?
		fi

		stop_mullvad
		case &quot;$?&quot; in
			0|1)
				start_mullvad
				case &quot;$?&quot; in
					0) log_end_msg 0 ;;
					1) log_end_msg 1 ;; # Old process is still running
					*) log_end_msg 1 ;; # Failed to start
				esac
				;;
			*)
				# Failed to stop
				log_end_msg 1
				;;
		esac
		;;
	reload|force-reload)
		log_daemon_msg &quot;Reloading $DESC configuration&quot; &quot;$NAME&quot;

		# Check configuration before stopping mullvad
		#
		# This is not entirely correct since the on-disk mullvad binary
		# may differ from the in-memory one, but that&#039;s not common.
		# We prefer to check the configuration and return an error
		# to the administrator.
		if ! test_config; then
			log_end_msg 1 # Configuration error
			exit $?
		fi

		reload_mullvad
		log_end_msg $?
		;;
	status)
		status_of_proc -p $PID &quot;$DAEMON&quot; &quot;$NAME&quot; &amp;&amp; exit 0 || exit $?
		;;
	*)
		echo &quot;Usage: $NAME {start|stop|restart|reload|force-reload|status}&quot; &gt;&amp;2
		exit 3
		;;
esac</code></pre></div>]]></description>
			<author><![CDATA[dummy@example.com (juic3)]]></author>
			<pubDate>Sun, 10 May 2020 14:56:56 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=21610#p21610</guid>
		</item>
	</channel>
</rss>
